package se.fnord.ecalc.actions;

import org.eclipse.jface.action.IAction;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.ui.IViewActionDelegate;
import org.eclipse.ui.IViewPart;

import se.fnord.ecalc.parser.IValue;
import se.fnord.ecalc.views.ECalcView;

public class ForceTypeAction implements IViewActionDelegate {
	protected ECalcView view;
	public void init(IViewPart view) {
		this.view = (ECalcView)view;
	}

	public void run(IAction action) {
		if (action.getId().equals("se.fnord.ecalc.actions.forcetypeaction.autotype") && action.isChecked()) {
			view.setForceArith(IValue.TYPE_AUTO);
		}
		else if (action.getId().equals("se.fnord.ecalc.actions.forcetypeaction.inttype") && action.isChecked()) {
			view.setForceArith(IValue.TYPE_LONG);
		}
		else if (action.getId().equals("se.fnord.ecalc.actions.forcetypeaction.doubletype") && action.isChecked()) {
			view.setForceArith(IValue.TYPE_DOUBLE);
		}
	}

	public void selectionChanged(IAction action, ISelection selection) { }

}
